gprbuild (2018-7) unstable; urgency=medium

  * Rename libgpr.(a|so) to libgnatprj because the grpc source owns them.
    Closes: #945197.  Previous libgnatprj*-dev own libgnatprj.(a|so), but
    Depend: distinct gnat versions so coinstallation is already prevented.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Nov 2019 11:57:50 +0100

gprbuild (2018-6) unstable; urgency=medium

  * Fix test of static archives by removing an undeclared dependency.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 11 Nov 2018 14:15:29 +0100

gprbuild (2018-5) unstable; urgency=medium

  * Fix rdeps on ia64 by restoring all Debian architectures,
    even the ones missing a gcc-8 binary package for the moment.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 07 Nov 2018 22:06:48 +0100

gprbuild (2018-4) unstable; urgency=medium

  * Fix FTBFS on i386-* architectures caused by changes for static
    archives and add-targets-for-gnat-s_osconf.diff.
    - use i686 instead of i386 in the canonical name as in regexs.
    - move Hurd regex after less selective ones like linux or freebsd.
    - only add Debian architectures with a gcc-8 package.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 06 Nov 2018 22:53:00 +0100

gprbuild (2018-3) unstable; urgency=medium

  * Fix and test build of static archives:
    gprconfig was finding no archiver on many architectures.
  * Add warnings and checks to build flags.
  * Standards-Version: 4.2.1. Rules-Requires-Root: no.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 01 Nov 2018 10:15:58 +0100

gprbuild (2018-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:09:49 +0200

gprbuild (2018-1) experimental; urgency=medium

  * New upstream release. No package renaming in experimental.
  * Update targetsets syntax in add-targets-for-gnat-s_osconf.diff.
    Generate this patch from latest syntax and architecture list.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 09 Jun 2018 23:03:04 +0200

gprbuild (2017-7) experimental; urgency=medium

  * Rebuild with gnat-8, libxmlada-*8-dev.
    Rename shared library and -dev package per Debian Ada policy.
  * Remove watch file, explain why in README.source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 20:21:57 +0200

gprbuild (2017-6) unstable; urgency=medium

  * Delete whitespaces in this changelog.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Fix silly formatting of Build-Depends.
  * Standards-Version: 4.1.4.
  * Update upstream homepage URL.
  * Drop overrides for lintian pedantic messages.
  * Try gnat-8: set version from -dumpversion (8) instead of -v (8.1.0).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 03 May 2018 15:12:19 +0200

gprbuild (2017-5) unstable; urgency=medium

  * Rebuild with xmlada 17.1.2017-5. -dev version is already new in testing.
  * Increase gprbuild verbosity in run-time test.
  * Standards-Version: 4.1.0.
  * Vcs-Mtn: new monotone URI format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 14:28:43 +0200

gprbuild (2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 08:24:15 +0200

gprbuild (2017-3) experimental; urgency=medium

  * Do not always recompile Ada sources younger than SOURCE_DATE_EPOCH.
    Closes: #869611. Regression test.
  * Debhelper 10. Drop explicit rules targets confusing dh.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Jul 2017 20:36:24 +0200

gprbuild (2017-2) experimental; urgency=medium

  * libgr-dev Depends: libxmlada*-dev. Adjust project accordingly.
    Let tests/link-with-shared detect such regressions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 02 Jul 2017 20:33:49 +0200

gprbuild (2017-1) experimental; urgency=medium

  * New upstream release. No ALI/SO bump in experimental.
    Gprbuild now depends on gpr_imports.o and libxmlada* via libgpr.
    Remove applied patches, add typos.diff.
  * Build with gnat-7.
    ALI files use SOURCE_DATE_EPOCH, no need for fake timestamps.
    Exceptions do not require an executable stack, remove lintian override.
  * Install gpr.gpr projectt into new default path /usr/share/gpr.
  * Standards-Version: 4.0.0 and debhelper 10.
  * dpkg-dev now ignores .mtn-ignore by default.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 01 Jul 2017 17:05:45 +0200

gprbuild (2016-3) experimental; urgency=medium

  * do-not-strip-minor-soversion.diff when linking shared libraries.
    A similar patch has been applied to gcc for years.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 26 Aug 2016 15:33:52 +0200

gprbuild (2016-2) experimental; urgency=medium

  * Add aliases for Debian archs so that hardware-vendor-kernel-abi default
    target matches "gcc -dumpmachine" which has no vendor part.
  * Fix a trivial XML syntax error in linker.xml.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 13 Aug 2016 03:32:26 +0200

gprbuild (2016-1) experimental; urgency=medium

  * New upstream release, adding executables: gprls, gprname,
    and a library: GPR, formerly libgnatprj built by gnat from GCC sources.
  * Build without gprbuild itself to avoid bootstrap problems.
    Most changes are copied from XML/Ada which has the same constraints.
  * Link with XML/Ada GPL-2016.
  * Add a runtime test for the library.
  * allow-pie-overriden-for-libs.diff: users may set hardening=+all,
    pie will be overriden for libraries.
  * projects_lookup_path.diff: fix library instead of some tools.
  * add_runtime_source_dirs_to_snames.diff to regenerate gpr-snames.ad[bs].
  * lintian override explaining GCC trampolines, as most Ada libraries.
  * Update watch file to version 4.
  * README.source: link to github, explain choice for SO version.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 01:30:29 +0200

gprbuild (2015-6) unstable; urgency=medium

  * add-targets-for-gnat-s_osconf.diff lets gprbuild ignore the new vendor
    part in architectures as listed by GCC. Closes: #838483.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 Jan 2017 18:54:51 +0100

gprbuild (2015-5) unstable; urgency=medium

  * Declare that tests/*project-with-dash-s requires libgnatvsn*-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 14 May 2016 16:35:10 +0200

gprbuild (2015-4) unstable; urgency=medium

  * tests/control: two tests Depend: gnat.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 20:57:20 +0200

gprbuild (2015-3) unstable; urgency=medium

  * Rebuild with gnat-6 like libxmlada.
    Update patches/use_ada_packaged_libraries.diff accordingly.
    Silent new System.Case_Util style warning in patches/gnat-6-warning.diff.
  * Stop enforcing timestamps in ALI files, only useful for libraries.
  * Enable all hardening flags.
  * Standards-Version: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 01:29:52 +0200

gprbuild (2015-2) experimental; urgency=medium

  * patch and test linking a library with --as-needed and -z defs.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 29 Jan 2016 23:11:09 +0100

gprbuild (2015-1) experimental; urgency=medium

  * New upstream release, repackaged without GFDL doc, generated autoconf
    stuff and embedded copies of GNAT sources (10 times smaller).
    No more autotools-dev, autoconf, or patch to honor build flags.
  * rules: write compiler command line manually so that gprbuild does not
    build-depend: itself once gnatmake drop support for projects.
  * Build-Depends: take libxmlada split into account.
  * patches: 763727 closed, libraries_after_link_options applied.
    projects_lookup_path.diff: add current Debian path.
  * Drop -doc package, now less than 3% of binary size.
  * watch: use Adacore redirector.
  * Set a deterministic date to the generated source for reproducible builds.
  * gprbuild is not a library, no need to Build-Depend: gnat.
  * Test: handle read-only sources, avoid depending on a reverse build-dep.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Oct 2015 18:29:15 +0100

gprbuild (2014dfsg-3) unstable; urgency=medium

  [ Matthias Klose ]
  * tests/control: examples depend on make. Closes: #798644.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Sep 2015 14:34:15 +0200

gprbuild (2014dfsg-2) unstable; urgency=medium

  * Add gnatgcc to the knowledge base (needed when gnat not in sync with gcc).
  * Test projects from Debian Ada libraries.
  * Standards-Version: 3.9.6, no changes required.
  * (XS-)Testsuite: now generated by dpkg-source.
  * lintian-overrides: hardening-no-fortify-functions obsolete with -O2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 Sep 2015 22:56:32 +0200

gprbuild (2014dfsg-1) unstable; urgency=medium

  * Repackage without GFDL documentation. Closes: #708942.
    - copyright: use Files-Excluded to remove the doc/subdir.
      Do not provide license stanza for removed doc/texiplus.tex.
    - control: not installing gprbuild_gps.xml at all fixes #768214 better
      than the Break/Replace dependencies introduced by 2014-5.
    - rules, gprbuild-doc.*, patches/*: do not build or install docs.
    - gprbuild-doc.examples: as install-indep does nothing, take examples
      from examples/* directly instead of debian/tmp/*.
    - update descriptions: control, gprbuild.1, README.source, README.Debian.
    - re-enable some source lintian checks related to GFDL.
  * gprbuild-doc.TODO: postpone unrelated changes for after the freeze.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 08 Nov 2014 12:15:55 +0100

gprbuild (2014-5) unstable; urgency=medium

  * gprbuild-doc Replaces/Breaks: gprbuild (<< 2013-1) which used to
    provide gprbuild_gps.xml. Closes: #768214.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 06 Nov 2014 21:12:43 +0100

gprbuild (2014-4) unstable; urgency=low

  [Nicolas Boulenguez <nicolas@debian.org>]
  * Link Ada with gnatgcc, in case gcc is not installed. Closes: #763879.

  [Ludovic Brenta <lbrenta@debian.org>]
  * debian/patches/763727.patch: new.  Bind the executable programs without
    exception tracebacks, to work around a compiler bug on kfreebsd-i386
    (see #666106).  Closes: #763727.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 5 Oct 2014 17:08:25 +0200

gprbuild (2014-3) unstable; urgency=medium

  * Set target from DEB_HOST_GNU_TYPE, not config.sub. Closes: #760006.
    Else, the vendor part does not match "gcc -dumpmachine" at run time
    and gcc is not detected as a compiler.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 31 Aug 2014 02:00:13 +0200

gprbuild (2014-2) unstable; urgency=medium

  * Accept GCC version 4.9.x, ignoring x. See gcc-4.9-4.9.1-9 log entry.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Aug 2014 14:40:44 +0200

gprbuild (2014-1) unstable; urgency=medium

  * New upstream release, built with libxmlada5-dev.
  * Only detect compilers being both the Debian default and 4.9.
    README.Debian explains deal with other situations.
  * copyright: fix a typo in documentation path.
  * control: -doc does not need install-info since policy 3.9.5.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Aug 2014 01:28:59 +0200

gprbuild (2013-1) unstable; urgency=low

  * New upstream version, built with gnat-4.9. Switch to GPL-3+.
  * Use libgnatprj, libgnatvsn, autoconf, debian_packaging.mk from gnat-x.y.
  * Standards-Version: 3.9.5 (no changes).
  * Move gprbind, gprlib from usr/lib/ into usr/lib/gprbuild/.
  * Move TODO and gprbuild_gps.xml form -dev package into -doc.
  * Make tests compliant with autopkg-test.
  * Merged manual pages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 15 May 2014 20:03:32 +0200

gprbuild (2011-4) unstable; urgency=low

  * New maintainer. Closes: #673751.
  * copyright, patches/correct_doc_license.diff, source.lintian-overrides:
    Replace obsolete license headers. Closes: #708942.
  * patches/libraries_after_link_options.diff. Closes: #705812.
    When linking libraries, put "-l" arguments after the others.
  * control: removed obsolete Suggests: ada-compiler and DM-Upload-Allowed.
  * rules: debhelper 9, hardening flags.
    Rebuild documentation from its sources, register it in doc-base.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 16 Jul 2013 12:30:21 +0200

gprbuild (2011-3) unstable; urgency=low

  [Svante Signell]
  * debian/patches/hurd-i386.patch: new, add support for hurd-i386.
    Closes: #673015.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 19 Jul 2012 21:23:10 +0200

gprbuild (2011-2) unstable; urgency=low

  * Provisionally adopt the package without closing #673751 yet; only
    because some packages build-depend on gprbuild.
  * debian/patches/gprconfig.patch (compilers.xml): make the <executable>
    match the <external> command for G++.  Closes: #679061.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 26 Jun 2012 08:15:07 +0200

gprbuild (2011-1) unstable; urgency=low

  * New upstream release (Closes: #588533).

  * compile with gnat-4.6.

  * make multi-arch compatible (Closes: #633981).

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 21 Sep 2011 08:29:46 -0400

gprbuild (1.3.0-2) unstable; urgency=low

  * change to source format 3.0 (quilt)

  * bump debhelper version

  * debian/control (Suggests): add gnat, ada-compiler, as required by
    Debian Ada Policy

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Thu, 01 Jul 2010 20:02:22 -0400

gprbuild (1.3.0-1) unstable; urgency=low

  * update to new upstream version. (Closes: #571013)

  * debian/README.source, debian/patch/*.patch: update for upstream 1.3.0
  (Closes: #571013)

  * debian/control (Architecture): change to any. (Closes: #568437)

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 07 Mar 2010 10:10:50 -0500

gprbuild (1.2.0-4) unstable; urgency=low

  * control (Standards-Version): bump to 3.8.4
  * debian/patches: add remove_rpath.patch. (Closes: #569723)
  * debian/rules: install gprbuild_gps.xml
  * debian/aunit_example.adb: revert to aunit 1.03

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 14 Feb 2010 09:14:28 -0500

gprbuild (1.2.0-3) unstable; urgency=low

  * debian/patches/default_path.patch: new patch to use
    Sdefault.Search_Dir_Prefix for default gpr search path.
  * debian/rules: generate sdefault.adb to set default gpr search path
    according to Debian Ada Policy. (Closes: #567575)
  * debian/patches/version.patch: new patch to include Debian upload
    number in version string.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 31 Jan 2010 05:16:51 -0500

gprbuild (1.2.0-2) unstable; urgency=low

  * share/gprconfig/*.xml: patch to call gcc-4.4, g++-4.4, gfortran-4.4
    explicitly, since they can be installed at the same time as *-4.3.
    (Closes: #565782)

  * debian/README.Debian: New file.

  * debian/README.source: document gcc version issues.

  * debian/patches/compilers.patch: update

  * debian/rules: update comments on running tests with specific versions.

  * debian/rules: specify package to dh_*, so binary-arch only builds
    gprbuild, and binary-indep only builds gprbuild-doc. (Closes:
    #565617).

  * copyright: add AdaCore for some files.

  * debian/test_installed.sh: update version

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 20 Jan 2010 05:12:29 -0500

gprbuild (1.2.0-1) unstable; urgency=low

  [Stephen Leake]
  * new source package, providing gprbuild binary and gprbuild-doc.
    Closes: 563242

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Mon, 04 Jan 2010 06:01:25 -0500
